
Core - Task # 56108

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Status: Closed Priority: Should have
Author: Michiel Roos Category: Code Cleanup
Created: 2014-02-19 Assigned To:
Updated: 2015-06-20 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: easy
Sprint Focus: On Location Sprint
Subject: Cleanup \TYPO3\CMS\Recordlist\RecordList\DatabaseRecordList and friends
Description
Go over all the methods and clean them up where possible:
    -  Checking values to be TRUE or FALSE instead of casting to boolean
    -  Go over all loops to see if we can move repeatedly called methods on unchanging values outside of the loop
    -  Go over htmlspecialchars usage
    -  See if we can cache the fetching of the icon code

History
#1 - 2014-02-19 11:02 - Ingo Schmitt
- Parent task set to #55070

#2 - 2014-02-19 11:08 - Ingo Schmitt
- Parent task changed from #55070 to #55065

#3 - 2014-02-20 11:20 - Tymoteusz Motylewski
- File AbstractRecordList.png added

Attached class diagram (the only class missing on the diagram is the DatabaseRecordList from dbal).

#4 - 2014-02-24 23:32 - Michiel Roos
- File 56108.patch added

I'm abandoning this issue since there are only a handfull of micro optimisations that can be had here. And the word is that we are not doing any more
of those so close before release in fear of breaking stuff.

Please find attached a patch with my work so far.

Some good came of this: https://review.typo3.org/#/c/27713/

Also the heaviest hogs in the extended db list are the preview icons in a page list. Those fetch the TSConfig for each page before rendering the
appropriate page+eye icon. It would be nice to disable that icon using TSConfig. But that would be a feature. So maybe this issue will be revisited for a
later version of TYPO3.

#5 - 2015-01-26 14:59 - Anja Leichsenring
https://review.typo3.org/#/c/27713/


- Sprint Focus set to On Location Sprint

#6 - 2015-06-20 19:08 - Benjamin Mack
- Status changed from New to Closed

see comment by michiel

Files
AbstractRecordList.png 112.6 kB 2014-02-20 Tymoteusz Motylewski
56108.patch 60.9 kB 2014-02-24 Michiel Roos
